/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity;

/**
 * Common constants of the identity solution.
 */
public class IdentityConstants {

    private IdentityConstants() {
    }

    public static final String SELF_ISSUED_ISSUER = "http://schemas.xmlsoap.org/ws/2005/05/identity/issuer/self";

    public static final String PREFIX = "ic";

    public static final String NS = "http://schemas.xmlsoap.org/ws/2005/05/identity";

    public final static String NS_MSFT_ADDR = "http://schemas.microsoft.com/ws/2005/05/addressing/none";

    public static final String IDENTITY_ADDRESSING_NS = "http://schemas.xmlsoap.org/ws/2006/02/addressingidentity";

    public final static String CLAIM_GIVEN_NAME = NS + "/claims/givenname";

    public final static String CLAIM_SURNAME = NS + "/claims/surname";

    public final static String CLAIM_EMAIL_ADDRESS = NS
            + "/claims/emailaddress";

    public final static String CLAIM_STREET_ADDRESS = NS
            + "/claims/streetaddress";

    public final static String CLAIM_CITY = NS + "/claims/locality";

    public final static String CLAIM_STATE = NS + "/claims/stateorprovince";

    public final static String CLAIM_POSTAL_CODE = NS + "/claims/postalcode";

    public final static String CLAIM_COUNTRY = NS + "/claims/country";

    public final static String CLAIM_HOME_PHONE = NS + "/claims/homephone";

    public final static String CLAIM_WORK_PHONE = NS + "/claims/otherphone";

    public final static String CLAIM_MOBILE_PHONE = NS + "/claims/mobile";

    public final static String CLAIM_PPID = NS
            + "/claims/privatepersonalidentifier";

    public final static String CLAIM_NICKNAME = NS + "/claims/nickname";

}
