/*
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.solutions.identity.admin;

import org.apache.axis2.AxisFault;
import org.wso2.solutions.identity.IdentityProviderException;
import org.wso2.solutions.identity.persistence.IPPersistenceManager;
import org.wso2.solutions.identity.persistence.dataobject.RelyingPartyDO;
import org.wso2.solutions.identity.persistence.dataobject.UserPersonalRelyingPartyDO;

public class RelyingPartyAdmin {

    IPPersistenceManager dbMan;

    public RelyingPartyAdmin() throws IdentityProviderException {
        dbMan = IPPersistenceManager.getPersistanceManager();
    }

    // CRUDRelyingParty
    public void create(RelyingPartyDO rp) throws AxisFault {
        try {
            dbMan.create(rp);
        } catch (IdentityProviderException e) {
            throw new AxisFault(e.getMessage(), e);
        }

    }

    public void create(UserPersonalRelyingPartyDO rp) throws AxisFault {
        try {
            dbMan.create(rp);
        } catch (IdentityProviderException e) {
            throw new AxisFault(e.getMessage(), e);
        }
    }

    public RelyingPartyDO[] getAllRelyingPartyList() {
        return dbMan.getAllRelyingParties();
    }

    public RelyingPartyDO getRelyingParty(String url) {
        return dbMan.getRelyingParty(url);
    }

    public void deleteRelyingParty(RelyingPartyDO rp) {
        dbMan.delete(rp);
    }

    public RelyingPartyDO findRelyingParty(Long id) {
        return (RelyingPartyDO) dbMan.getDataObject("RelyingPartyDO", id);
    }

    public UserPersonalRelyingPartyDO[] getAllPersonalRelyingParties(
            String userId) {
        return dbMan.getAllPersonalRelyingParties(userId);
    }

    // public

}
