/*                                                                             
 * Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
 *                                                                             
 * Licensed under the Apache License, Version 2.0 (the "License");             
 * you may not use this file except in compliance with the License.            
 * You may obtain a copy of the License at                                     
 *                                                                             
 *      http://www.apache.org/licenses/LICENSE-2.0                             
 *                                                                             
 * Unless required by applicable law or agreed to in writing, software         
 * distributed under the License is distributed on an "AS IS" BASIS,           
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    
 * See the License for the specific language governing permissions and         
 * limitations under the License.                                              
 */
package org.wso2.solutions.identity.samples.identityprovider;

import org.wso2.solutions.identity.IdentityConstants;
import org.wso2.solutions.identity.IdentityProviderException;
import org.wso2.solutions.identity.persistence.IPPersistenceManager;
import org.wso2.solutions.identity.persistence.dataobject.ClaimDO;

public class Init {

    public static void main(String[] args) throws IdentityProviderException {
        IPPersistenceManager db = IPPersistenceManager.getPersistanceManager();
        ClaimDO[] claimDOs = db.getAllSupportedClaims();

        // Set supported
        for (int i = 0; i < claimDOs.length; i++) {
            ClaimDO claim = claimDOs[i];
            if (claim.getUri().equals(IdentityConstants.CLAIM_EMAIL_ADDRESS)
                    || claim.getUri()
                            .equals(IdentityConstants.CLAIM_GIVEN_NAME)
                    || claim.getUri().equals(IdentityConstants.CLAIM_SURNAME)
                    || claim.getUri().equals(IdentityConstants.CLAIM_PPID)) {
                claim.setSupported(true);
                db.update(claim);
            }
        }
    }

}
