/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.usermanager.custom.jdbc;

public class JDBCRealmConfig {

    protected String userTable = null;

    protected String userNameColumn = null;

    protected String userCredentialColumn = null;

    protected String connectionURL = null;

    protected String driverName = null;

    protected String connectionUserName = null;

    protected String connectionPassword = null;

    protected String columnNames = null;

    public JDBCRealmConfig() {

    }

    public JDBCRealmConfig(JDBCRealmConfig config) {
        userTable = new String(config.getUserTable());
        userNameColumn = new String(config.getUserNameColumn());
        userCredentialColumn = new String(config.getUserCredentialColumn());
        connectionURL = new String(config.getConnectionURL());
        driverName = new String(config.getDriverName());
        connectionUserName = new String(config.getConnectionUserName());
        connectionPassword = new String(config.getConnectionPassword());
        columnNames = config.columnNames;

    }

    public String getColumnNames() {
        return columnNames;
    }

    public String getConnectionUserName() {
        return connectionUserName;
    }

    public String getConnectionPassword() {
        return connectionPassword;
    }

    public String getConnectionURL() {
        return connectionURL;
    }

    public String getDriverName() {
        return driverName;
    }

    public String getUserCredentialColumn() {
        return userCredentialColumn;
    }

    public String getUserNameColumn() {
        return userNameColumn;
    }

    public String getUserTable() {
        return userTable;
    }

    public void setColumnNames(String columnNames) {
        this.columnNames = columnNames;
    }

    public void setConnectionUserName(String connectionName) {
        this.connectionUserName = connectionName;
    }

    public void setConnectionPassword(String connectionPassword) {
        this.connectionPassword = connectionPassword;
    }

    public void setConnectionURL(String connectionURL) {
        this.connectionURL = connectionURL;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public void setUserCredentialColumn(String userCredentialCol) {
        this.userCredentialColumn = userCredentialCol;
    }

    public void setUserNameColumn(String userNameCol) {
        this.userNameColumn = userNameCol;
    }

    public void setUserTable(String userTable) {
        this.userTable = userTable;
    }

  
   
}